# Type alias VerifyClientCallbackSync<Request>

VerifyClientCallbackSync<Request>: ((info) => boolean)

VerifyClientCallbackSync is a synchronous callback used to inspect the incoming message. The return value (boolean) of the function determines whether or not to accept the handshake.

#### Type Parameters

- Request extends IncomingMessage = IncomingMessage

#### Type declaration

- - (info): boolean

  - #### Parameters

    - info: {
      origin: string;
      req: Request;
      secure: boolean;
      }

      - ##### origin: string

      - ##### req: Request

      - ##### secure: boolean

    #### Returns boolean

- Defined in node_modules/@types/ws/index.d.ts:227